## lib25519 0~20230630

=== crypto_hashblocks/sha512/avx2/Makefile ===
inner.S: \
round01.q \
round23.q \
round45.q \
round67.q \
round89.q \
round1011.q \
round1213.q \
round1415.q \
expand0.q \
expand4.q \
expand8.q \
expand12.q \
rer0.q \
rer4.q \
rer8.q \
rer12.q \
inner.q \
inner.S.do
	./inner.S.do < inner.q > inner.S

round01.q: round.py
	./round.py 0 > round01.q

round23.q: round.py
	./round.py 1 > round23.q

round45.q: round.py
	./round.py 2 > round45.q

round67.q: round.py
	./round.py 3 > round67.q

round89.q: round.py
	./round.py 4 > round89.q

round1011.q: round.py
	./round.py 5 > round1011.q

round1213.q: round.py
	./round.py 6 > round1213.q

round1415.q: round.py
	./round.py 7 > round1415.q

expand0.q: expand.py
	./expand.py 0 > expand0.q

expand4.q: expand.py
	./expand.py 4 > expand4.q

expand8.q: expand.py
	./expand.py 8 > expand8.q

expand12.q: expand.py
	./expand.py 12 > expand12.q

rer0.q: rer.py
	./rer.py 0 > rer0.q

rer4.q: rer.py
	./rer.py 4 > rer4.q

rer8.q: rer.py
	./rer.py 8 > rer8.q

rer12.q: rer.py
	./rer.py 12 > rer12.q
