=== crypto_pow/inv25519/ref10/Makefile ===
all: montgomery.h pow225521.h

pow225521.h: pow225521.q pow225521.h.do
	./pow225521.h.do < pow225521.q > pow225521.h
