=== debian/changelog ===
lib25519 (0~20230630-4) unstable; urgency=medium

  * d/copyright: bump debian/* copyright year
  * d/gbp.conf: add [pull] track-missing = True
  * d/control: remove 'Multi-Arch: same' for the package lib25519-dev,
    lib25519-dev contains the lib25519.h header file, which is different
    across platforms.

 -- Jan Mojžíš <jan.mojzis@gmail.com>  Mon, 08 Jan 2024 09:31:53 +0100

lib25519 (0~20230630-3) unstable; urgency=medium

  * d/rules: select crypto_hashblocks/sha512/inplace implementation
    instead of crypto_hashblocks/sha512/wflip
  * d/control: add Multi-Arch: same

 -- Jan Mojžíš <jan.mojzis@gmail.com>  Sun, 31 Dec 2023 18:52:43 +0100

lib25519 (0~20230630-2) unstable; urgency=medium

  * d/compiler/gcc: Echo commands for blhc.
  * d/rules add DEB_BUILD_MAINT_OPTIONS = optimize=+lto
  * d/watch: use special strings @PACKAGE@, @ANY_VERSION@, @ARCHIVE_EXT@
  * d/rules: detect the correct ABINAME from the DEB_BUILD_ARCH
    instead of run-time detection. Fixes FTBR on i386/armhf/...
  * d/p/0100-FTBR-sort-ofiles.patch: sort the output of os.listdir()
  * d/lib25519-1.symbols.x32: add symbolic link to lib25519-1.symbols.amd64
  * d/rules: enable selected AMD64 implementations

 -- Jan Mojžíš <jan.mojzis@gmail.com>  Sat, 30 Dec 2023 14:57:06 +0100

lib25519 (0~20230630-1) unstable; urgency=medium

  * Initial release. (Closes: #1051553)

 -- Jan Mojžíš <jan.mojzis@gmail.com>  Mon, 11 Sep 2023 17:29:24 +0200
