=== debian/control ===
Source: lib25519
Maintainer: Jan Mojžíš <jan.mojzis@gmail.com>
Uploaders:
 Simon Josefsson <simon@josefsson.org>,
Priority: optional
Standards-Version: 4.6.2
Section: libs
Homepage: https://lib25519.cr.yp.to/download.html
Build-Depends:
 debhelper-compat (= 13),
 libcpucycles-dev,
 librandombytes-dev,
 python3,
Vcs-Git: https://salsa.debian.org/debian/lib25519.git
Vcs-Browser: https://salsa.debian.org/debian/lib25519
Rules-Requires-Root: no

Package: ed25519
Section: devel
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: microlibrary X25519/Ed25519 - Ed25519 command line tools
 microlibrary for the X25519 encryption system and the Ed25519 signature system,
 both of which use the Curve25519 elliptic curve. Curve25519 is the fastest
 curve in TLS 1.3, and the only curve in Wireguard, Signal, and many other
 applications.
 .
 lib25519 has a very simple stateless API based on the SUPERCOP API, with
 wire-format inputs and outputs, providing functions that directly match the
 central cryptographic operations in X25519 and Ed25519:
 .
 lib25519_dh_keypair(pk, sk): X25519 key generation
 lib25519_dh(k, pk, sk): shared-secret generation
 lib25519_sign_keypair(pk, sk): Ed25519 key generation
 lib25519_sign(sm, &smlen, m, mlen, sk): signing
 lib25519_sign_open(m, &mlen, sm, smlen, pk): verification + message recovery
 Internally, lib25519 includes implementations designed for performance on
 various CPUs, implementations designed to work portably across CPUs, and
 automatic run-time selection of implementations.
 .
 lib25519 is intended to be called by larger multi-function libraries, including
 libraries in other languages via FFI. The idea is that lib25519 will take
 responsibility for the details of X25519/Ed25519 computation, including
 optimization, timing-attack protection, and eventually verification, freeing up
 the calling libraries to concentrate on application-specific needs such as
 protocol integration. Applications can also call lib25519 directly.
 .
 Ed25519 command line tools.

Package: lib25519-1
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: microlibrary X25519/Ed25519 - shared library
 microlibrary for the X25519 encryption system and the Ed25519 signature system,
 both of which use the Curve25519 elliptic curve. Curve25519 is the fastest
 curve in TLS 1.3, and the only curve in Wireguard, Signal, and many other
 applications.
 .
 lib25519 has a very simple stateless API based on the SUPERCOP API, with
 wire-format inputs and outputs, providing functions that directly match the
 central cryptographic operations in X25519 and Ed25519:
 .
 lib25519_dh_keypair(pk, sk): X25519 key generation
 lib25519_dh(k, pk, sk): shared-secret generation
 lib25519_sign_keypair(pk, sk): Ed25519 key generation
 lib25519_sign(sm, &smlen, m, mlen, sk): signing
 lib25519_sign_open(m, &mlen, sm, smlen, pk): verification + message recovery
 Internally, lib25519 includes implementations designed for performance on
 various CPUs, implementations designed to work portably across CPUs, and
 automatic run-time selection of implementations.
 .
 lib25519 is intended to be called by larger multi-function libraries, including
 libraries in other languages via FFI. The idea is that lib25519 will take
 responsibility for the details of X25519/Ed25519 computation, including
 optimization, timing-attack protection, and eventually verification, freeing up
 the calling libraries to concentrate on application-specific needs such as
 protocol integration. Applications can also call lib25519 directly.
 .
 Shared library.

Package: lib25519-dev
Section: libdevel
Architecture: any
Depends:
 lib25519-1 (= ${binary:Version}),
 ${misc:Depends},
Description: microlibrary X25519/Ed25519 - development files
 microlibrary for the X25519 encryption system and the Ed25519 signature system,
 both of which use the Curve25519 elliptic curve. Curve25519 is the fastest
 curve in TLS 1.3, and the only curve in Wireguard, Signal, and many other
 applications.
 .
 lib25519 has a very simple stateless API based on the SUPERCOP API, with
 wire-format inputs and outputs, providing functions that directly match the
 central cryptographic operations in X25519 and Ed25519:
 .
 lib25519_dh_keypair(pk, sk): X25519 key generation
 lib25519_dh(k, pk, sk): shared-secret generation
 lib25519_sign_keypair(pk, sk): Ed25519 key generation
 lib25519_sign(sm, &smlen, m, mlen, sk): signing
 lib25519_sign_open(m, &mlen, sm, smlen, pk): verification + message recovery
 Internally, lib25519 includes implementations designed for performance on
 various CPUs, implementations designed to work portably across CPUs, and
 automatic run-time selection of implementations.
 .
 lib25519 is intended to be called by larger multi-function libraries, including
 libraries in other languages via FFI. The idea is that lib25519 will take
 responsibility for the details of X25519/Ed25519 computation, including
 optimization, timing-attack protection, and eventually verification, freeing up
 the calling libraries to concentrate on application-specific needs such as
 protocol integration. Applications can also call lib25519 directly.
 .
 Development files.

Package: x25519
Section: devel
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: microlibrary X25519/Ed25519 - X25519 command line tools
 microlibrary for the X25519 encryption system and the Ed25519 signature system,
 both of which use the Curve25519 elliptic curve. Curve25519 is the fastest
 curve in TLS 1.3, and the only curve in Wireguard, Signal, and many other
 applications.
 .
 lib25519 has a very simple stateless API based on the SUPERCOP API, with
 wire-format inputs and outputs, providing functions that directly match the
 central cryptographic operations in X25519 and Ed25519:
 .
 lib25519_dh_keypair(pk, sk): X25519 key generation
 lib25519_dh(k, pk, sk): shared-secret generation
 lib25519_sign_keypair(pk, sk): Ed25519 key generation
 lib25519_sign(sm, &smlen, m, mlen, sk): signing
 lib25519_sign_open(m, &mlen, sm, smlen, pk): verification + message recovery
 Internally, lib25519 includes implementations designed for performance on
 various CPUs, implementations designed to work portably across CPUs, and
 automatic run-time selection of implementations.
 .
 lib25519 is intended to be called by larger multi-function libraries, including
 libraries in other languages via FFI. The idea is that lib25519 will take
 responsibility for the details of X25519/Ed25519 computation, including
 optimization, timing-attack protection, and eventually verification, freeing up
 the calling libraries to concentrate on application-specific needs such as
 protocol integration. Applications can also call lib25519 directly.
 .
 X25519 command line tools.
