=== debian/tests/control ===
Tests: test25519-static
Depends:
 build-essential,
 dpkg-dev,
 lib25519-dev,
 librandombytes-dev,

Tests: test25519-shared
Depends:
 build-essential,
 dpkg-dev,
 lib25519-1,
 lib25519-dev,
 librandombytes-dev,

Tests: ed25519
Depends:
 ed25519,
 xxd,

Tests: x25519
Depends:
 x25519,
 xxd,
