## lib25519 0~20240321

=== debian/changelog ===
lib25519 (0~20240321-2) unstable; urgency=medium

  * d/rules: run test lib25519-test
  * d/rules: disable donna_c64 implementations, fix build/autopkgtest on s390x

 -- Jan Mojžíš <jan.mojzis@gmail.com>  Wed, 24 Apr 2024 19:53:05 +0200

lib25519 (0~20240321-1) unstable; urgency=medium

  [ Simon Josefsson ]
  * New upstream version 0~20240321
  * Add ABIs to symbols files.
  * Add d/salsa-ci.yml for wrap-and-sort.

  [ Jan Mojžíš ]
  * d/copyright: bump lib25519 copyright years
  * d/p/0002-remove-internal-_C-symbols-from-.symbol-file.patch add
  * d/p/0003-fix-missing-asm-hidden.patch add
  * d/lib25519-1.symbols.{amd64,x32} remove
  * d/rules: remove manual selection and enable all implementation

 -- Jan Mojžíš <jan.mojzis@gmail.com>  Mon, 22 Apr 2024 14:51:50 +0200
