=== crypto_nP/montgomery25519/ref10/Makefile ===
all: montgomery.h pow225521.h

pow225521.h: pow225521.q pow225521.h.do
	./pow225521.h.do < pow225521.q > pow225521.h

montgomery.h: montgomery.q montgomery.h.do
	./montgomery.h.do < montgomery.q > montgomery.h
