=== debian/changelog ===
lib25519 (0~20241004-4) unstable; urgency=medium

  [ Jan Mojžíš ]
  * d/watch: rewrite to version 5
  * d/control: remove Rules-Requires-Root: no

  [ Simon Josefsson ]
  * Re-generate manpages.
  * Add lrc.excludes.
  * Tighten Salsa CI.

 -- Simon Josefsson <simon@josefsson.org>  Sun, 02 Nov 2025 20:45:37 +0100

lib25519 (0~20241004-3) unstable; urgency=medium

  * d/control: change maintainer to pkg-security
  * d/{control, copyright}: update my email to "janmojzis@debian.org"
  * d/copyright: bump debian/* copyright year

 -- Jan Mojžíš <janmojzis@debian.org>  Tue, 19 Aug 2025 07:09:37 +0200

lib25519 (0~20241004-2) unstable; urgency=medium

  * d/salsa-ci.yml: Enable arm/riscv/aptly jobs.
  * Run wrap-and-sort -satbk.
  * Standards-Version: 4.7.2.
  * Bump debian/* copyright years.

 -- Simon Josefsson <simon@josefsson.org>  Sun, 09 Mar 2025 20:36:16 +0100

lib25519 (0~20241004-1) unstable; urgency=medium

  * New upstream version 0~20241004
  * d/rules: re-enable crypto_hashblocks/sha512/wflip, fixed in upstream
  * d/p/0001-add-missing-include-build-crypto_declassify.h.patch: remove,
    fixed in upstream

 -- Jan Mojžíš <jan.mojzis@gmail.com>  Sat, 05 Oct 2024 12:19:24 +0200

lib25519 (0~20240928-2) unstable; urgency=medium

  * d/rules: disable crypto_hashblocks/sha512/wflip implementation, fix
    lib25519-test on s390x/hppa/powerpc/ppc64/sparc64
  * d/t/lib25519-fulltest: skip the test if valgrind is not available,
    add Restrictions allow-stderr, skippable

 -- Jan Mojžíš <jan.mojzis@gmail.com>  Tue, 01 Oct 2024 20:56:47 +0200

lib25519 (0~20240928-1) unstable; urgency=medium

  * New upstream version 0~20240928
  * d/p/0002-remove-internal-_C-symbols-from-.symbol-file.patch,
    d/p/0003-fix-missing-asm-hidden.patch, d/p/0100-FTBR-sort-ofiles.patch
    remove, fixed in upstream
  * d/rules: re-enable donna_c64 implementations
  * d/rules: remove optimize=+lto
  * d/rules: B-D on valgrind-if-available
  * d/rules: check if valgrind is available
  * d/p/0001-add-missing-include-build-crypto_declassify.h.patch add
  * d/t/test25519-shared: use dpkg-buildflags to get CFLAGS,LDFLAGS
  * d/t/test25519-static: use dpkg-buildflags to get CFLAGS,LDFLAGS
  * d/control: bump Standards-Version: 4.7.0, no changes
  * d/gbp.conf: dist = DEP14, debian-branch = debian/latest
  * d/t/lib25519-fulltest add
  * d/upstream/metadata add

 -- Jan Mojžíš <jan.mojzis@gmail.com>  Mon, 30 Sep 2024 21:23:54 +0200
