=== debian/control ===
--- 
+++ 
@@ -1,19 +1,21 @@
 Source: lib25519
-Maintainer: Jan Mojžíš <jan.mojzis@gmail.com>
+Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
 Uploaders:
+ Jan Mojžíš <janmojzis@debian.org>,
  Simon Josefsson <simon@josefsson.org>,
 Priority: optional
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Section: libs
 Homepage: https://lib25519.cr.yp.to/download.html
 Build-Depends:
  debhelper-compat (= 13),
  libcpucycles-dev,
  librandombytes-dev,
+ pandoc [!m68k !sh4 !x32] <!nodoc>,
  python3,
+ valgrind-if-available,
 Vcs-Git: https://salsa.debian.org/debian/lib25519.git
 Vcs-Browser: https://salsa.debian.org/debian/lib25519
-Rules-Requires-Root: no
 
 Package: ed25519
 Section: devel
