=== debian/rules ===
--- 
+++ 
@@ -2,8 +2,15 @@
 
 # export DH_VERBOSE=1
 
-export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=+lto
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,noexecstack
+
+# disable hardening-stackclash on armhf
+# On armhf, valgrind test dies with a SIGSEGV when
+# built with either -fstack-clash-protection or -fstack-check.
+ifeq ($(DEB_TARGET_ARCH), armhf)
+export DEB_BUILD_MAINT_OPTIONS = hardening=hardening=+all,-stackclash
+endif
 
 # crossbuild
 ifneq  ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
@@ -25,10 +32,19 @@
 ABINAME=amd64
 endif
 
+COMMAND_VALGRIND = $(shell command -v valgrind)
+
+ifeq ($(filter /usr/bin/valgrind,$(COMMAND_VALGRIND)),)
+DISABLE_VALGRIND += --no-valgrind
+endif
+
 override_dh_auto_configure:
-	# disable donna_c64 implementations, fixes build/autopkgtest on s390x
-	chmod +t crypto_nP/montgomery25519/donna_c64 crypto_pow/inv25519/donna_c64
-	./configure --host=$(ABINAME) --prefix=/usr
+ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
+	head -v $(shell find . -name x25519.1)
+	(! command -v pandoc) || (rm -v doc/man/* && autogen/man)
+	head -v $(shell find . -name x25519.1)
+endif
+	./configure --host=$(ABINAME) --prefix=/usr $(DISABLE_VALGRIND)
 
 override_dh_auto_clean:
 	rm -rf ./build
